- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
TInvalidPropertyException
TLazyLoadList
TObjectProxy
TPropertyAccess
TSqlMapApplicationCache
TSqlMapCache
TSqlMapConfig
TSqlMapConfigurationException
TSqlMapDuplicateException
TSqlMapException
TSqlMapExecutionException
TSqlMapFifoCache
TSqlMapGateway
TSqlMapLruCache
TSqlMapManager
TSqlMapPagedList
TSqlMapTypeHandler
TSqlMapTypeHandlerRegistry
TSqlMapUndefinedException

Keyword

# Class TSqlMapApplicationCache

TSqlMapApplicationCache uses the default Prado application cache for caching SqlMap results.

Since: 3.1
Author: Wei Zhuo <weizho[at]gmail[dot]com>

Method Summary
void | add ( mixed $id, mixed $value, mixed $expire, mixed $dependency)
void | delete ( string $key)
void | flush () Deletes all items in the cache.
mixed | get ( mixed $key)
protected ICache | getCache ()
void | set ( string $key, mixed $value, mixed $expire, mixed $dependency) Stores a value identified by a key into cache.

Method Details

## add

public void add | (mixed $id , mixed $value , mixed $expire , mixed $dependency )

Input
mixed | $id |
mixed | $value |
mixed | $expire |
mixed | $dependency |
Output
Exception
throws | TSqlMapException not implemented.

## delete

public void delete | (string $key )

Input
string | $key | item to be deleted.
Output
Exception

## flush

public void flush | ()

Deletes all items in the cache.

Output
Exception

## get

public mixed get | (mixed $key )

Input
mixed | $key |
Output
mixed | Gets a cached object with the specified key.
Exception

## getCache

protected ICache getCache | ()

Output
ICache | Application cache instance.
Exception

## set

public void set | (string $key , mixed $value , mixed $expire , mixed $dependency )

Stores a value identified by a key into cache.

Input
string | $key | the key identifying the value to be cached
mixed | $value | the value to be cached
mixed | $expire |
mixed | $dependency |
Output
Exception